using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Model;
using System.Reflection;

namespace JuSNS.Factory
{
    public interface IParseUserLog
    {
        string Parse(UserLogInfo info,int currentUserID);
    }
    public sealed partial class DataAccess
    {
        public static IParseUserLog CreateParseUserLog()
        {
            string className = path + ".ParseUserLog";
            return (IParseUserLog)Assembly.Load(path).CreateInstance(className);
        }
    }
}
